[pacman-dev] [PATCH] makepkg: install deps with --repackage

Allan McRae allan at archlinux.org
Thu Jun 7 02:14:32 EDT 2012


I have noticed that quite a number of packages fail with "makepkg -R"
when their (make)dependencies are not installed. Adjust makepkg to
check for dependencies when used with -R.  This can still be avoided
by using --nodeps/-d.

Signed-off-by: Allan McRae <allan at archlinux.org>
---
 scripts/makepkg.sh.in |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index c055691..63cdd4d 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -2424,9 +2424,9 @@ if (( SOURCEONLY )); then
 	exit 0
 fi
 
-if (( NODEPS || ( (NOBUILD || REPKG) && !DEP_BIN ) )); then
-	# no warning message needed for nobuild, repkg
-	if (( NODEPS || ( REPKG && PKGFUNC ) )); then
+if (( NODEPS || (NOBUILD && !DEP_BIN ) )); then
+	# no warning message needed for nobuild
+	if (( NODEPS )); then
 		warning "$(gettext "Skipping dependency checks.")"
 	fi
 elif type -p "${PACMAN%% *}" >/dev/null; then
-- 
1.7.10.3



More information about the pacman-dev mailing list